Hermos API

Revoke Customer Session

POST/customer_sessions/{id}/revoke

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque customer session ID.

Match^cse_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/customer_sessions/string/revoke" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "customer_session",  "customer": "string",  "allowed_flows": [    "update_payment_method"  ],  "allowed_origins": [    "string"  ],  "expires_at": "2019-08-24T14:15:22Z",  "idle_expires_at": "2019-08-24T14:15:22Z",  "livemode": true}